/**
 * <copyright>
 * </copyright>
 *
 * $Id: RootElementValidator.java,v 1.1 2007-08-21 09:33:08 vmahe Exp $
 */
package MMElementList.validation;

import MMElementList.CommonElement;

import org.eclipse.emf.common.util.EList;

/**
 * A sample validator interface for {@link MMElementList.RootElement}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RootElementValidator {
	boolean validate();

	boolean validateElements(EList<CommonElement> value);
}
